@import url("https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&family=Sora:wght@100..800&family=Triodion&display=swap");

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

/* header section code starts here */

.mainBox {
	display: flex;
	justify-content: center;
	.container {
		max-width: 1400px;
		width: 96%;
		.row {
			display: flex;
			justify-content: center;
			padding: 10px 0;
			img {
				width: 100px;
			}
		}
		.box-shadow {
			background-color: #ffffff;
			box-shadow: 0px 14px 23px 0px #1c252c14;
			border-radius: 20px;
			padding: 30px 40px;
			.info-box {
				width: 33%;
				display: flex;
				align-items: center;
				gap: 12px;
				padding: 0 40px;
				img {
					width: 87px;
				}
				a {
					display: flex;
					align-items: center;
					gap: 12px;
					text-decoration: none;
					color: #000000;
				}
				span {
					color: #000000;
					font-family: Lato;
					font-weight: 700;
					font-size: 16px;
				}
			}
			.border-line {
				border: 1px solid #95c83d70;
				border-top: none;
				border-bottom: none;
			}
		}
	}
}

/* hero section code starts here */

.hero-mainBox {
	display: flex;
	justify-content: center;
	align-items: center;
	background-color: #ddac170d;
	background-image: url("../images/hero-bg.png");
	background-position: center center;
	background-repeat: no-repeat;
	background-size: cover;
	height: 250px;
	.container {
		max-width: 1400px;
		width: 96%;
		.hero-section {
			display: flex;
			justify-content: center;

			h1 {
				font-family: "Triodion", system-ui;
				font-weight: 200;
				font-size: 76px;
			}
		}
	}
}

/* form section code starts here */

.form-mainBox {
	display: flex;
	justify-content: center;
	margin: 50px 0;
	.container {
		max-width: 700px;
		width: 96%;
		.row {
			background-color: #cee193;
			display: flex;
			border-radius: 30px;
			justify-content: center;
			flex-direction: column;
			padding: 10px 0;
			form {
				width: 100%;
				padding: 50px;
				h2 {
					font-family: Sora;
					font-weight: 700;
					font-size: 30px;
					color: #1a1818;
					padding: 0 0 20px 0;
				}
				span {
					font-family: Sora;
					font-weight: 400;
					font-size: 16px;
					color: #000000;
				}
				input,
				textarea {
					border: none;
					border-bottom: 1px solid #7b7b7b;
					width: 100%;
					height: 50px;
					margin: 20px 0 0 0;
					background-color: transparent;
					font-family: Sora;
					font-weight: 400;
					font-size: 14px;
					color: #1e1e1e;
					&::placeholder {
						color: #000000;
						opacity: 1;
					}
					&:focus-visible {
						outline: none;
						border: none;
						border-bottom: 1px solid#DDAC17;
					}
				}
				.password-wrapper {
					position: relative;
					display: flex;
					align-items: center;
				}
				.password-wrapper input {
					padding-right: 40px;
				}
				.password-wrapper ion-icon {
					position: absolute;
					right: 10px;
					top: 35px;
					cursor: pointer;
					font-size: 20px;
				}
				textarea {
					height: 150px;
				}
				.button-area {
					margin: 20px 0 0 0;
					display: flex;
					justify-content: space-between;
					align-items: center;
					button {
						cursor: pointer;
						display: flex;
						align-items: center;
						justify-content: center;
						gap: 10px;
						font-family: Sora;
						font-weight: 800;
						font-size: 14px;
						text-transform: uppercase;
						color: #ffffff;
						background-color: #1a1818;
						padding: 20px 36px;
						border-radius: 30px;
						border: 1px solid #1a1818;
						transition: ease 0.3s;
						&:hover {
							transition: ease 0.3s;
							border: 1px solid #1a1818;
							color: #1a1818;
							background-color: transparent;
						}
					}
				}
			}
		}
	}
}

/* footer section code starts here */

.footer-mainBox {
	display: flex;
	justify-content: center;
	background-color: #fffaf4;
	background-image: url("../images/footer-bg.png");
	background-position: top center;
	background-repeat: no-repeat;
	background-size: contain;
	padding: 120px 0 50px 0;
	margin-top: -70px;
	.container {
		max-width: 1400px;
		width: 96%;
		.row {
			display: flex;
			justify-content: center;
			flex-direction: column;
			align-items: center;
			padding: 10px 0;
			img {
				width: 130px;
			}
			p {
				padding: 2% 25% 0;
				font-family: Lato;
				font-weight: 400;
				font-size: 16px;
				text-align: center;
				color: #413f3f;
			}
		}
	}
}

/* responsive code starts here 1200 */

@media (max-width: 1200px) {
	/* hero code */
	.hero-mainBox {
		height: 190px;
	}
	/* info code */
	.mainBox {
		.container {
			.box-shadow {
				.info-box {
					padding: 0 10px;
				}
			}
		}
	}
	/* footer code */
	.footer-mainBox {
		.container {
			.row {
				p {
					padding: 2% 20% 0;
				}
			}
		}
	}
}

/* responsive code starts here 1024 */

@media (max-width: 1024px) {
	/* hero section */
	.hero-mainBox {
		height: 205px;
		.container {
			.hero-section {
				h1 {
					font-size: 66px;
				}
			}
		}
	}
	/* info code */
	.mainBox {
		.container {
			.box-shadow {
				display: flex;
				flex-direction: column;
				gap: 20px;
				.info-box {
					width: 100%;
				}
				.border-line {
					border: none;
				}
			}
		}
	}
	/* footer code */
	.footer-mainBox {
		padding: 100px 0 40px 0;
		.container {
			.row {
				img {
					width: 100px;
				}
				p {
					padding: 2% 15% 0;
				}
			}
		}
	}
}

/* responsive code starts here 850 */

@media (max-width: 850px) {
	/* hero code */
	.hero-mainBox {
		height: 165px;
	}
}

/* responsive code starts here 768 */

@media (max-width: 768px) {
	/* hero code */
	.hero-mainBox {
		height: 155px;
		.container {
			.hero-section {
				h1 {
					font-size: 56px;
				}
			}
		}
	}
	/* info code */
	.mainBox {
		.container {
			.box-shadow {
				display: flex;
				flex-direction: column;
				gap: 20px;
				.info-box {
					width: 100%;
				}
				.border-line {
					border: none;
				}
			}
		}
	}
	/* footer code */
	.footer-mainBox {
		padding: 100px 0 40px 0;
		.container {
			.row {
				img {
					width: 100px;
				}
				p {
					padding: 2% 4% 0;
				}
			}
		}
	}
}

/* responsive code starts here 550 */

@media (max-width: 550px) {
	/* hero code */
	.hero-mainBox {
		background-size: cover;
		background-position: center right;
	}
	/* form code */
	.form-mainBox {
		margin: 40px 10px;
		.container {
			.row {
				form {
					width: 100%;
					padding: 20px;
					.button-area {
						flex-wrap: wrap;
						gap: 20px;
						button {
							width: 100%;
						}
					}
				}
			}
		}
	}
	/* info box */
	.mainBox {
		.container {
			.box-shadow {
				padding: 20px 0px;
				margin: 0 10px;
				.info-box {
					img {
						width: 77px;
					}
				}
			}
		}
	}
	/* footer code */
	.footer-mainBox {
		padding: 100px 0 30px 0;
		background-position: center left;
		background-size: cover;
	}
}
